#ifndef DISCLAIMER_H_
#define DISCLAIMER_H_


#define NUMBER_OF_DISCLAIMER_PARTS 2
#define NUMBER_OF_LINES_PER_PART_DISC 7
#define NUMBER_OF_LINES_INTRO 4
//-----------------------------------------------------------------------------------------------------------------------
// disclaimer texts
//-----------------------------------------------------------------------------------------------------------------------


//english
#define DIS_ENG_0_0    "Welcome to Waze!"
#define DIS_ENG_0_1    "You're about to join the first network of drivers working together to build and share real-time road intelligence (the 'Service')."
#define DIS_ENG_0_2    "Since Waze is 100% user generated, we need your collaboration and patience!"
#define DIS_ENG_1_0    "By clicking 'Accept' you confirm that:"
#define DIS_ENG_1_1    "1. You have read and agreed to the 'Terms of Use' http://www.waze.com/legal/tos and 'Privacy Policy' http://www.waze.com/legal/privacy (the 'Agreements'). The use of the Service is subject to the Agreements and indicates your consent to them. This summary is not meant to replace the Agreements. It is intended for convenience purposes only."
#define DIS_ENG_1_2    "2. YOUR USE OF THIS REAL TIME ROUTE GUIDANCE APPLICATION IS AT YOUR SOLE RISK. LOCATION DATA MAY NOT BE ACCURATE. You agree to use the Service only in accordance with any applicable law, including all transportation laws and regulations."
#define DIS_ENG_1_3    "3. Waze has no control over or responsibility to the online connection that is required to use the Service or any disruption, failure or breakdown therein."
#define DIS_ENG_1_4    "4. The Waze client, Waze – Social GPS navigation, traffic & road reports that you install on your cellular device (the 'Client'), is a free software; you can redistribute it and/or modify it under the terms of the GNU General Public License; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY. See the GNU General Public License http://www.gnu.org/licenses/gpl-2.0.html for more details. If you wish to obtain the program's source code, please write to us."
#define DIS_ENG_1_5    "5. You hereby confirm that you own all exclusive rights at any data and content (the 'Content') that you provide to the Service and may assign in license such rights. You keep all title and rights to the Content, but you  grant Waze, Inc. (the 'Company') a worldwide, free, non-exclusive, irrevocable, sublicensable, transferable and perpetual license to use, copy, distribute, create derivative works of, publicly display, publicly perform and exploit in any other manner the Content. Subject to the aforementioned, the Company keeps title and all rights to the Service's database which you may use for non-commercial and private purposes only."
#define DIS_ENG_1_6    "6. Waze service is offered for free, with hope that you find it useful. However, Waze or its employees, directors shareholders, advisors or on anyone of it's behalf shall not be liable to you or to any third party, for any reason whatsoever, as result with the use of the Company's product or Service. You hereby irrevocably release all of the above from any liability of any kind, for any consequence arising from use of the Client or Service, Including for any loss, loss of profit, damage to reputation, fee, expense or damage, direct or indirect, financial or non-financial."


//hebrew
#define DIS_HEB_0_0    "ברוכים הבאים ל Waze!"
#define DIS_HEB_0_1    " מידע חי על מצב התנועה ונווט עוקף פקקים, המיוצר בשיתוף ותרומה של חברי הקהילה (ה'שירות')"
#define DIS_HEB_1_0    "בלחיצה על 'אשר' הנך מאשר כי:"
#define DIS_HEB_1_1    "1. קראת והנך מסכים ל 'תנאי שימוש' http://www.waze.co.il/legal/tos ו'מדיניות הפרטיות' http://www.waze.co.il/legal/privacy בשירות ('ההסכמים המחייבים'). השימוש בשירות כפוף להסכמים המחייבים ומעיד כי קראת אותם במלואם ואתה מסכים להם. תקציר זה מיועד לצרכי נוחות בלבד ואינו בא במקומם."
#define DIS_HEB_1_2    "2. השימוש בשירות הינו באחריותך בלבד. מידע אודות מיקומים עלול להיות בלתי מדויק. אתה מאשר כי תשתמש בשירות בהתאם להוראות כל דין, לרבות דיני התעבורה."
#define DIS_HEB_1_3    "3. תוכנת המפוי ,Waze – Social GPS navigation, traffic & road reports, המותקנת על-גבי מכשיר הטלפון הסלולרי שלך, היא תוכנה חופשית; אתה יכול להפיצה מחדש ו/או לשנות אותה על-פי תנאי הרישיון הציבורי הכללי של GNU, בין אם גרסה 2 של הרישיון, ובין אם (לפי בחירתך) כל גרסה מאוחרת שלו. התוכנה מופצת בתקווה שתהיה מועילה, אבל בלא אחריות כלשהי. לפרטים נוספים, ראה את ה 'רישיון הציבורי הכללי של GNU http://www.gnu.org/licenses/gpl-2.0.html'. אם רצונך לקבל את קוד המקור של התכנה, פנה אלינו בכתב."
#define DIS_HEB_1_4    "4. אתה מאשר שאתה בעלים בלעדי של כל הזכויות במידע ובתוכן שתספק לשירות. מידע ותוכן כזה נשאר בבעלותך ואתה מקנה בו ל-Waze רישיון חינם כלל עולמי, לא בלעדי, בלתי חוזר ובלתי מוגבל בזמן, שניתן להעברה וכולל זכות למתן רשיונות-משנה, להשתמש, להעתיק, להפיץ, ליצירות יצירות נגזרות, להציג ולבצע בפומבי מידע ותוכן כזה. בכפוף לכך, בסיס הנתונים של השירות הוא קניינה של החברה ואין להשתמש בהם אלא לצרכים פרטיים ולא מסחריים בלבד."
#define DIS_HEB_1_5    "5. השירות מוצע בחינם, בתקוה שתמצא אותו מועיל. עם זאת, Waze ו/או עובדיה, מנהליה בעלי מניותיה, יועציה ו/או מי מטעמה (לעיל ולהלן: (Waze לא ישאו בחבות כלשהיא כלפיך ו/או כלפי צדדים שלישים, מכל סיבה שהיא, בקשר עם מוצרי ו/או שירותי Waze והנך משחרר בזאת באופן בלתי חוזר את Waze מכל אחריות מכל סוג שהיא, לכל תוצאה הנובעת מהשימוש במוצרי ו/או שירותיWaze לרבות (אך לא רק) בגין כל הפסד, אבדן רווח, פגיעה במוניטין, תשלום, הוצאה ו/או נזק, ישיר או עקיף, ממוני או בלתי-ממוני."
#define DIS_HEB_1_6    ""


//spanish
#define DIS_ESP_0_0    "Usted está a punto de unirse a la primera red de conductores que trabajan conjuntamente para crear y compartir información de tráfico y eventos sobre las vías en tiempo real. Dado que Waze es un servicio 100% generado por los usuarios, requerimos de su colaboración y paciencia."
#define DIS_ESP_1_0    "Al hacer clic (pinchar) en \"Aceptar\", usted confirma que:"
#define DIS_ESP_1_1    "1.Ha leído y acepta  los \"Términos de Uso\" http://www.waze.com/legal/tos/ y la \"Política de Privacidad\" http://www.waze.com/legal/privacy/ (\"Acuerdos Obligatorios\"). El uso del servicio Waze (el \"Servicio\") está sujeto a los Acuerdos Obligatorios y determina su consentimiento a ellos.  Éste resumen no pretende sustituir los Acuerdos Obligatorios. Solamente se lo presenta para facilidad."
#define DIS_ESP_1_2    "2. El uso del Servicio se hace a su propio riesgo. Por el presente usted acepta usar el Servicio únicamente de acuerdo a cualquier ley aplicable, incluyendo pero no limitado a, todas las leyes y reglamentos y demás normas sobre transporte."
#define DIS_ESP_1_3    "3. El Servicio requiere de conexión inalámbrica a Internet para actualizaciones a tiempo real. Waze no provee tal conexión. Es su responsabilidad adquirir los servicios de conexión y asegurarse que sus términos satisfagan sus necesidades. Waze no tiene control o es responsable de la conexión y/o interrupción,  fallos o averías en ella al igual que no es responsable de la cobertura ofrecida por el operador respectivo."
#define DIS_ESP_1_4    "4. El aplicativo móvil Waze, que usted instale en su dispositivo móvil consiste en un programa libre que usted puede redistribuirlo y/o modificarlo bajo los términos de la Licencia General Pública GNU, ya fuere la versión 2 de la Licencia o (a su elección) cualquier versión posterior.  Este programa se distribuye con la intención de que sea útil, pero SIN NINGUNA GARANTIA. Ver la Licencia General Pública GNU http://www.gnu.org/licenses/gpl-2.0.html para mayores detalles. Si desea obtener el código de fuente del programa, por favor contáctese con Waze."
#define DIS_ESP_1_5    "5. Cuando proporcione datos y/o contenidos al Servicio, por el presente usted confirma que es el titular exclusivo de todos los derechos sobre ellos y que podrá ceder o licenciar tales derechos. Usted mantiene toda titularidad y derechos de dichos datos y/o contenidos proporcionados al Servicio, pero concede a Waze Mobile (la \"Compañía\" o \"Waze\") una licencia a nivel mundial, gratuita, no exclusiva, irrevocable, sublicenciable, transferible y perpetua para el uso, reproducción, distribución,  creación de obras derivadas de, exhibición pública, ejecución pública y cualquier otra forma de explotación de esos datos y contenidos. Sujeto a lo antes mencionado, la Compañía mantiene la propiedad y todos los derechos sobre la base de datos del Servicio y usted podrá usarlo exclusivamente para fines  no comerciales y privados."
#define DIS_ESP_1_6    "6. El Servicio Waze se ofrece en forma gratuita, con el objetivo de que usted lo encuentre útil. Sin embargo, Waze y/o sus empleados, directores, accionistas,  asesores, partners y/o cualquiera en su nombre (conjuntamente \"Waze\") no será responsable ante usted y/o cualquier tercero, por cualquier motivo, como resultado del uso del producto o Servicio de la Compañía. Por el presente usted libera irrevocablemente a Waze de toda responsabilidad de cualquier tipo, de cualquier consecuencia derivada del uso del producto o Servicio de la Compañía, incluyendo (pero no limitado) a cualquier pérdida, lucro cesante, pérdida de beneficios, daño a la reputación, tasa, gasto y/o perjuicio, directo o indirecto, económico o no económico."




//-----------------------------------------------------------------------------------------------------------------------
// intro scren texts
//-----------------------------------------------------------------------------------------------------------------------

// english
#define INTR_ENG_0     "Waze is a social mobile navigation application that allows users to build and use live maps, real-time traffic updates and turn-by-turn navigation to improve daily commuting."
#define INTR_ENG_1     "The mapping in your country has only recently begun so it'll be a little while until the app delivers its full value."
#define INTR_ENG_2     "In many areas  there will be no map at all and you're likely to be paving roads as you start out."
#define INTR_ENG_3     "If you like mapping, now's a great time to get involved and map your area - you'll have a ton of fun!"

//spanish
#define INTR_ESP_0     "Waze es una aplicación GPS gratuita para dispositivos móviles que permite a los conductores construir y utilizar mapas activos, actualizar en tiempo real la situación del tráfico y navegar con un GPS giro a giro para mejorar sus viajes diarios."
#define INTR_ESP_1     "La comunidad de waze en tu país ha comenzado a desarrollarse recientemente, por lo que llevará un poco de tiempo hasta que waze comience a desplegar todo su potencial en tu localidad."
#define INTR_ESP_2     "Ten en cuenta que al principio es posible que no haya ningún mapa, por lo que deberás ir trazándolo tú mismo junto a los demás miembros."
#define INTR_ESP_3     "Si te gusta crear mapas, ¡únete ahora mismo y comienza a divertirte!"




#endif /*DISCLAIMER_H_*/
